Unit tafh5z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFH5Z_p;

function tafh5z: String;

implementation

function tafh5z: String;
var
N,J,I,_i :Integer;
D :Array [0..2] of Extended;
E :Array [0..2] of Extended;
E2 :Array [0..2] of Extended;
TAU :Array [0..5] of Extended;
const
A :Array [0..8] of Extended = ( 1.0e0,3.0e0,0.0e0,-4.0e0,1.0e0,0.0e0,1.0e0,
0.0e0,1.0e0 );
begin
Result := '';  {   }
AFH5Z(3,3,A,D,E,E2,TAU);
N := 3;
Result := Result + #$0D#$0A;
for I:=1 to N do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format('  A= + #$0D#$0A  %20.16f ',
 [A[(I-1)+(J-1)*3]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   D=']);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[D[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['   E=']);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[E[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',['  E2=']);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[E2[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for I:=1 to 2 do
 begin
  for J:=1 to N do
   begin
    Result := Result + Format('  TAU= + #$0D#$0A%20.16f ',
 [TAU[(I-1)+(J-1)*2]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
UtRes('tafh5z',Result);  {     tafh5z.res }
exit;
end;

end.
